## qscintilla2 2.13.3+dfsg

=== debian/changelog ===
qscintilla2 (2.13.3+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Copy the right file to pyproject.toml when installing Python bindings.
    The install target calls sip-distinfo, which reads pyproject.toml file
    to get the metadata. After build, pyproject.toml has contents from
    pyproject-qt6.toml, which caused both Qt 5 and Qt 6 variants to get
    metadata for Qt 6 variant (closes: #1027416).
  * Update debian/libqscintilla2-qt5-15.symbols for mipsel.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 31 Dec 2022 21:18:35 +0300

qscintilla2 (2.13.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 26 Dec 2022 17:04:14 +0300

qscintilla2 (2.13.3+dfsg-1) experimental; urgency=medium

  [ Gudjon I. Gudjonsson ]
  * New upstream release
  * Remove original html files
  * Update clean file.
  * Add qt6 targets and update build files.
  * Update patches.
  * Fix clean file
  * Fix dependencies for qt6
  * Update symbols table for qt5 (closes: #1013021)
  * Add symbols table for qt6
  * Bump standards version to 4.6.1, no changes needed
  * Add qt6 designer library and dependency on qt6-tools-dev
  * Add qt6 files to not-installed
  * Add support for qt5/6 in designer.pro
  * debian/copyright. Fix paths and remove configure.py
  * debian/*.install. Move include files to arch specific dirs
  * debian/libqscintilla2-qt6-15.symbols. Add build depends
  * debian/rules. Install qt6 designer plugin
  * debian/pyqt6.qsci-dev.lintian-overrides. Add file
  * debian/copyright. Remove unused BSD-2
  * debian/control. Set Multi-Arch to same for libqscintilla2-qt5/6-15
  * Remove autogenerated upstream files.
  * debian/rules. Fix compilation of Python modules in correct directory

  [ Dmitry Shachnev ]
  * Mark some symbols as optional to fix build with LTO (closes: #1015613).

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 17 Dec 2022 15:44:33 +0000

qscintilla2 (2.11.6+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Pass correct --target-dir to sip-build, to fix FTBFS with sip ≥ 6.2.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Oct 2021 15:45:08 +0300

qscintilla2 (2.11.6+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libqscintilla2-qt5-designer, libqscintilla2-qt5-dev,
      python3-pyqt5.qsci-dbg: Add Multi-Arch: same.

  [ Dmitry Shachnev ]
  * Update debian/watch to work with the new tarball naming scheme.
  * Stop building extensions for Python debug interpreter (closes: #994372).
    - Rely on automatic dbgsym packages for debug symbols.
  * Update debian/libqscintilla2-qt5-15.symbols from the current build logs.
  * Mark two symbols as optional to fix build with GCC 11 (closes: #984308).
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 18 Sep 2021 13:28:59 +0300
