## qscintilla2 2.14.1+dfsg

=== debian/changelog ===
qscintilla2 (2.14.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix build with SIP ≥ 6.11 by using lowercase names for dist-info
    (closes: #1117770).
  * Update symbols files from buildds’ and the current build logs.
  * Run sip-build with explicitly set LD_LIBRARY_PATH (closes: #985465).
    Thanks John Paul Adrian Glaubitz for the patch!
  * Use the cross wrapper for qmake6 (available since 6.4.2+dfsg-1).
  * Reformat package description to fix false positive blhc error.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 12 Oct 2025 16:04:29 +0300

qscintilla2 (2.14.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols files for GCC 13 (closes: #1037827).
  * Bump years in debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 22 Jul 2023 21:17:16 +0300
