=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                python3-pyqt6,
                pyqt6-dev
 Build-Depends-Indep: doxygen
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Section: libs
 Homepage: http://www.riverbankcomputing.co.uk/software/qscintilla
 Vcs-Git: https://salsa.debian.org/python-team/packages/qscintilla2.git
@@ -137,8 +137,8 @@
  writing and debugging source code. These include support for syntax
  styling, error indicators, code completion, call tips and margins.
  .
- This package contains development headers needed when developing
- C++ applications that use QScintilla 2 and Qt 5.
+ This package contains development headers needed when developing C++
+ applications that use QScintilla 2 and Qt 5.
 
 Package: libqscintilla2-qt6-dev
 Section: libdevel
@@ -153,8 +153,8 @@
  writing and debugging source code. These include support for syntax
  styling, error indicators, code completion, call tips and margins.
  .
- This package contains development headers needed when developing
- C++ applications that use QScintilla 2 and Qt 6.
+ This package contains development headers needed when developing C++
+ applications that use QScintilla 2 and Qt 6.
 
 Package: libqscintilla2-doc
 Section: doc
