=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 Python/build-%/configure-stamp: build-library-stamp
 	dh_testdir
 	cp -f Python/pyproject-qt5.toml Python/pyproject.toml
-	cd Python && python$* /usr/bin/sip-build \
+	cd Python && LD_LIBRARY_PATH=$(CURDIR)/QSciQt5 python$* /usr/bin/sip-build \
 		--verbose --no-make --pep484-pyi \
 		--qmake /usr/bin/$(DEB_HOST_GNU_TYPE)-qmake \
 		--qmake-setting 'QMAKE_CXXFLAGS += "$(CXXFLAGS) $(CPPFLAGS)"' \
@@ -59,9 +59,9 @@
 		--qsci-library-dir $(CURDIR)/QSciQt5
 ifeq ($(qt6), "yes")
 	cp -f Python/pyproject-qt6.toml Python/pyproject.toml
-	cd Python && python$* /usr/bin/sip-build \
+	cd Python && LD_LIBRARY_PATH=$(CURDIR)/QSciQt6 python$* /usr/bin/sip-build \
 		--verbose --no-make --pep484-pyi \
-		--qmake /usr/bin/qmake6 \
+		--qmake /usr/bin/$(DEB_HOST_GNU_TYPE)-qmake6 \
 		--qmake-setting 'QMAKE_CXXFLAGS += "$(CXXFLAGS) $(CPPFLAGS)"' \
 		--qmake-setting 'QMAKE_LFLAGS += "$(LDFLAGS)"' \
 		--target-dir /usr/lib/python3/dist-packages \
