=== debian/tests/control ===
Tests: python
Depends: python3-all-dbg, python3-pyqt5.qsci
Restrictions: superficial
